== Changelog ==

= 4.6.0 - 06/Jul/2026 =

* FEATURE: Premium - Automatically preloads the page’s Largest Contentful Paint (LCP) element to improve initial load speed and perceived performance
* FIX: Cache - Fixed an issue related to cache setting saving
* FIX: Fixed a UI issue in WooCommerce variation products when Automatically preload content after it is purged is enabled
* FIX: Fixed browser caching issue where admin pages were cached
* FIX: Mobile UI issue
* FIX: Notice Dismissal issue
* FIX: Usage of htmlspecialchars()
* REFACTOR: Code from can_purge_cache() method moved to WP_Optimize_Utils::current_user_can_purge_cache()
* REFACTOR: Fix WordPress Security check errors and warnings on admin page
* REFACTOR: Make `is_edit_mode` a static method and avoid duplication
* REFACTOR: Optimized WP_Optimize_Database_Information::get_table_plugin() method
* TWEAK: Added method to check current user has the capability
* TWEAK: Added methods to retrieve and save essential WP-Optimize toggleable settings for UpdraftCentral
* TWEAK: Disable and hide the "Speed up WooCommerce 'Get total spent' query" Power Tweak when it's no longer relevant
* TWEAK: Handle race conditions in font downloading and optimize cache stats storage 
* TWEAK: Improved image grid action button visibility to accommodate WordPress 7.0 button styling changes
* TWEAK: Matched response styles when purging via the admin bar
* TWEAK: Premium - Handle empty orders in WooCommerce Total Spent Power Tweak feature
* TWEAK: Premium - Improved hash logic for the Unused CSS Removal feature
* TWEAK: Prevent unwanted cache growth caused by crawlers or preload bots
* TWEAK: UI changes to match WordPress 7.0 
* TWEAK: Unschedule all WP-Optimize cron jobs on deactivation in multisite
* TWEAK: WP_Optimize_Power_Tweaks class method deactivate bug fixed related to the array_diff function

= 4.5.5 - 05/Jun/2026 =

* TWEAK: Update the bundled common-libs version

= 4.5.4 - 25/May/2026 =

* FIX: WebP image compression breaking in some cases
* REFACTOR: Avoid instantiating PHPSQLParser on each call in WPO_DB_Table_Analysis
* REFACTOR: Class WPO_WebP_Convert
* REFACTOR: Make markup readable in `tables-body.php` template
* REFACTOR: Refactored duplicated cache_admin_bar logic by centralizing it in the admin class and removing redundant implementations.
* REFACTOR: Removed unused `WPO_Htaccess_Capabilities` class
* REFACTOR: WPO_Activation class
* REFACTOR: WPO_Uninstall class
* REFACTOR: WPO_WebP_Alter_HTML class
* REFACTOR: WPO_WebP_Self_Test class
* REFACTOR: WPO_WebP_Test_Run class
* REFACTOR: WPO_WebP_Utils class
* REFACTOR: WPO_Webp_Task_Manager class
* REFACTOR: WP_Optimize_WebP class
* REFACTOR: WP_Optimize_WebP_Images class
* TWEAK: Added an additional check to prevent SplFileInfo::getSize() RuntimeException in WP_Optimize_Utils::get_folder_stats()
* TWEAK: All in One SEO plugin compatibility issue
* TWEAK: Cache - Inconsistent REST cache filenames due to query parameter order 
* TWEAK: Cache - Set the purge old cache cron schedule based on the Cache lifespan setting
* TWEAK: Ensure parsed result is an array in WPO_DB_Table_Analysis::get_query_table()
* TWEAK: Exclude GIF from being converted to WebP with `wpo_webp_convert_compressed_images` cron job
* TWEAK: Optimized `wpo_username_from_cookies()` to avoid repeated database queries per request
* TWEAK: Precheck for existing WebP format of file before running WebP conversion
* TWEAK: Remove redundant code that is not reachable.
* TWEAK: Resolved edge cases in CapoJS

= 4.5.3 - 29/Apr/2026 =
* SECURITY: Prevented path traversal security risk. Thanks to Wordfence for the responsible disclosure

= 4.5.2 - 20/Apr/2026 =

* FIX: Bug preg_match() fails on wildcard * patterns in browser agents exclusion list
* FIX: Cache - purge the cache when a plugin is auto-updated
* FIX: Ensure page caching is fully disabled by updating internal cache configuration to prevent constant-related errors in logs
* FIX: Premium - Unused images - Fixed an issue where multiple unused images were displayed for an edited image on setups where images are not stored in /yyyy/mm folders
* FIX: Minify - The cron job to purge old cache files is not created
* REFACTOR: Instead of nested output buffering, code make use of single buffer using Page Optimizer class
* REFACTOR: Refactor Updraft_Smush_Manager::update_smush_options() method
* REFACTOR: Using ABSPATH to prevent direct access instead of plugin constants to comply with PCP
* TWEAK: Added a safety check to remove scheduled table optimization cron jobs when the server does not allow table optimization
* TWEAK: Enhanced database table detection by marking the KD Submissions database table as used by Elementor Pro
* TWEAK: Fixed a UI issue with WebP conversion in the Media Library
* TWEAK: Handle WP_Error in WPO_Page_Cache::enable() callers
* TWEAK: Initialize Heartbeat only on admin pages
* TWEAK: Premium - Preload only selected URLs in the "Cache Specific URLs Only" setting
* TWEAK: Premium - Smush - Improved PHP 8.5 compatibility by replacing deprecated $http_response_header usage
* TWEAK: Updated user agent for the cache preloader

= 4.5.1 - 23/Mar/2026 =

* FIX: Fixed compatibility issue with WP Remote 
* FIX: Notice: Function _load_textdomain_just_in_time was called incorrectly 
* FIX: Resolved weekly cron not running on WordPress < 5.4 by switching to the wpo_weekly schedule
* FIX: Database table error when upgrading from free to premium version
* REFACTOR: Improved WebP conversion flow by separating capability checks from configuration changes
* REFACTOR: Improved auto-optimization handling by correcting static method usage
* REFACTOR: Introduced `WP_Optimize_Server_Compatibility` class to centralize all server environment checks
* REFACTOR: Removed separate `get_schedule_types()` method in premium version
* SECURITY: Enforced capability checks and allowed-command validation for Smush actions triggered via Heartbeat API. Thanks to WordFence for the responsible disclosure
* TWEAK: Display the `Enable the caching menu in the admin bar` option only when Cache or Minify is enabled
* TWEAK: Improved detection of LearnDash plugin tables
* TWEAK: Improved onboarding wizard RTL support and eliminated dependency on the PHP Reflection class
* TWEAK: Improved robustness of `uploads/wpo` directory removal during plugin uninstallation
* TWEAK: Minify - Don't remove the version query argument when the source is not processed by Minify
* TWEAK: Premium - Unused Images - Enhanced detection of edited WordPress images
* TWEAK: Prevent deprecation notices in PHP 8.5
* TWEAK: Add a notice when `.htaccess` file is not available or renamed in Apache servers

= 4.5.0 - 11/Feb/2026 =

* FEATURE: Premium - Cache – Added ability to cache only selected URLs
* FEATURE: Premium - Minify - Host Google Fonts locally
* FEATURE: Premium - Option to enhance page performance by applying Capo.js rules
* FIX: Cache - fixed sitemap caching issue 
* FIX: Improved compatibility with WordPress versions earlier than 6.1
* FIX: Reset WebP conversion failure no longer appears in the popup
* FIX: Resolved issues with detecting WebP conversion availability
* FIX: Smush – Fixed missing tooltip in the 'Compress' pop-up in Media Library
* FIX: Stop initialization of page optimizer for non-HTML requests
* FIX: Remove marcusschwarz/lessc lib from autoload
* TWEAK: Added support for bypassing WPO features via a URL query parameter defined by the WPO_DISABLE_MODE_URL_PARAM constant
* TWEAK: Allow some database records cleanup for Kinsta users
* TWEAK: Clear cache of archived pages when a related post is updated
* TWEAK: Disabled CSS/JS merging by default.
* TWEAK: Enhanced 404 detector compatibility with plain permalinks
* TWEAK: WP_Optimize_Options::auto_option_settings() is not called in Premium version
* TWEAK: Improved timestamp handling to prevent fatal errors on WordPress 4.9
* TWEAK: Improved Minify settings UI so JavaScript options correctly show/hide when JS minification is enabled/disabled

= 4.4.1 - 08/Jan/2026 =

* FIX: Onboarding wizard RTL issue
* FIX: Prevented plugin table JSON data in the uploads directory from being updated on every WP-Optimize admin page load

= 4.4.0 - 12/Dec/2025 =

* FEATURE: Added Onboarding Wizard
* FIX: Ensured old cache purging cron job is scheduled successfully
* FIX: Fixed a potential fatal error in the WPO_Page_Optimizer class
* TWEAK: Fixed the ability to disable caching menu in admin bar
* TWEAK: Updated file permissions for wpo-plugins-tables-list.json

= 4.3.1 - 14/Nov/2025 =

* FIX: Prevent PHP fatal error occurring when cache is enabled and the "Aelia Currency Switcher for WooCommerce" plugin is active
* FIX: Cache – Fixed compatibility issue
* FIX: Database - Table Usage - Fixed the issue with incorrect table name detection in certain cases
* FIX: Fixed UI Issue - Content cut off in "Review Actions" modal under WP-Optimize > Database 
* FIX: Fixed _load_textdomain_just_in_time trigger too early
* FIX: Premium - Unused images - Fixed an issue with clearing the cache of unused images
* FIX: Smush - Compressing an image larger than the reSmush.it service limit freezes the popup in the Media Library
* FIX: Smush - Fixed issue with multiple images compression action
* FIX: Undefined property: stdClass::$plugin_status bug fixed
* REFACTOR: Database - Table Usage - enhanced variable names
* REFACTOR: Using strict comparison throughout the codebase
* TWEAK: Improve detection of cloudflare handling browser cache
* TWEAK: Added validation for AJAX commands in the Premium version
* TWEAK: Convert already compressed images to webp format when possible
* TWEAK: Fix the compatibility issue with ALTCHA when using the ASE Pro Plugin
* TWEAK: Improve browser caching by adding max-age option
* TWEAK: Premium - Cache - Do not process the cache when the user cannot be identified
* TWEAK: Premium - Database - Tables usage report shows data only for active plugins
* TWEAK: Premium - Unused Images - Enhanced detection for Revolution Slider
* TWEAK: Premium - Unused Images - Improved detection of unused images in Oxygen Builder
* TWEAK: Premium - Unused Images - Recognize Oxygen 6 images
* TWEAK: Premium - Prevent PHP warnings from Table Usage feature
* TWEAK: Remove unused jQuery 1.12.4 dependency
* TWEAK: Run database table optimization last
* TWEAK: Updated links
* TWEAK: Various tweaks and improvements to code

= 4.3.0 - 22/Sep/2025 =

* FEATURE: Premium - Cache - Cache REST API requests
* FEATURE: Premium - Further reduce CSS files sizes by removing unused CSS rules
* FIX: Added backward compatibility for timezone and datetime functions and improved status report support for older WordPress versions like 4.9.
* FIX: PHP Warning file_exists(): open_basedir restriction in effect
* FIX: Prevented buffer initialization during wp-cron when HTML DOM is unavailable.
* REFACTOR: Database - Table Usage - Refactored execute_query_analysis() function
* TWEAK: Added new UpdraftCentral endpoints
* TWEAK: Enhanced multisite support: added performance widget to Network Dashboard and fixed sub-site widgets to show only site-specific 404 request counts.
* TWEAK: Fix external loading of Gtag analytics script
* TWEAK: Moved the tooltip tag outside the <label> tag
* TWEAK: Performance - 404 Detector (Not Found Requests) added a button to clear all logs.
* TWEAK: Publishing a post or custom post type (CPT) no longer clears the cache of all posts of the same type.
* TWEAK: Removed return statements from constructors and added checks at the point of class instantiation.
* TWEAK: Smush - Enhanced compatibility and performance with EWWW Image Optimizer installed
* TWEAK: Premium - Added cache support for Nelio A/B Testing plugin
* TWEAK: Added a hook to trigger custom code when a page is not cached

= 4.2.4 - 30/Jul/2025 =

* FIX: Potential PHP fatal error when no site is selected during database optimization in multisite
* FIX: Issue where the database optimization spinner remained indefinitely active
* FIX: PHP 8.4 compatibility warnings
* FIX: Minify default exclusions fatal error
* FIX: Premium - Potential PHP fatal error - type hinting error in the database table usage feature
* FIX: Premium - Page cache and lazy load meta boxes no longer display on post edit screen when their respective options are disabled
* FIX: Only purge relevant files when a published post is saved; also purge the author archive cache upon post save
* FIX: Premium - Fixed compatibility of Table usage with WordPress versions earlier than 5.3
* REFACTOR: Premium - Database - Table Usage - added missed translation functions
* TWEAK: Purged content will preload only when cache is enabled, and the user-agent has been updated to a modern browser and OS version
* TWEAK: Update seasonal advert banner logos, texts and links
* TWEAK: Update plugin readme text and links
* TWEAK: Premium - Cache - Add UI element to ignore query variables
* TWEAK: Premium - Database - Table Usage - replaced loading state with native modal
* TWEAK: Removed seasonal discount ads except Black Friday

= 4.2.3 - 15/Jul/2025 =

* FIX: Cache - Resolved PHP warning caused by excessively long cache file names
* FIX: Corrected typo from `meta data` to `metadata`
* FIX: Cron reschedule event error for hook `wpo_prune_404_log` when `is_minimum_requirement_met` is `false`
* FIX: Premium - Fixed a rare PHP warning that could occur when saving a post
* FIX: Unused image - incorrect image filtering in multisite
* FIX: WP Remote sync conflict caused in v4.2.1 and v4.2.2 By replacing wp_salt with core PHP functions
* FIX: YouTube lazy-load – Thumbnail image now falls back to JPG if browser doesn't support WebP
* FIX: WebP images were not being served in Firefox on certain environments
* TWEAK: 404 detector logs URLs on mobile screens goes out of viewport fixed.
* TWEAK: CSS Improvements, better font size handling, remove duplication, and SASS instead of import
* TWEAK: Delay YouTube preview image cache purging
* TWEAK: Display notice when server does not allow database optimizations
* TWEAK: Enhanced database optimization compatibility with jQuery 4
* TWEAK: Fixed incorrect transients count in database optimizations UI
* TWEAK: Improved sanitization of incoming data in `Updraft_Smush_Manager_Commands`
* TWEAK: Minify - Improved compatibility with Divi theme's dynamically generated assets
* TWEAK: Multisite corrected site count in database optimizations UI.
* TWEAK: Preserve EXIF data is set to false by default in all places at codebase level.
* TWEAK: Update URLs of links and images to point to https://teamupdraft.com

= 4.2.2 - 02/June/2025 =

* FIX: Cache - Resolved unwanted output in WP-CLI and fatal error related to WooCommerce's country-specific files, introduced in v4.2.0
* TWEAK: Premium - Cache - Compatibility with WordPress 6.8

= 4.2.1 - 05/May/2025 =

* FIX: Cache - Compatibility issue with other plugins due to late start of output buffering
* TWEAK: Improved array handling in `get_active_plugins()`, potentially avoiding edge-case fatal error

= 4.2.0 - 01/May/2025 =

* SECURITY: On multisite installs (only), a logged-in site administrator could use an unsanitised parameter to inject unwanted content into SQL queries. Thanks to Marc Montpas for the responsible disclosure.
* FEATURE: Premium - Replace YouTube Iframes with preview images to improve page speed
* FIX: Fix conflict with the WPML plugin
* FIX: Smush - Fixed PHP warning on the Media Library page
* FIX: Smush - Fixed issue where the Smush popup would freeze
* FIX: WebP images not served after WP-Optimize reactivation
* REFACTOR: Smush option removed from media upload modal
* TWEAK:  Update advert banner logos, texts and links
* TWEAK: Add missing separator between compression items in media library
* TWEAK: Avoid PHP warning thrown by Page Speed Ninja plugin
* TWEAK: Cache - Start caching after plugins loaded 
* TWEAK: Fix PHP deprecation warning in PHPSQLParser for PHP 8.4
* TWEAK: Fix deprecation warning in Updraft_Logger class for PHP 8.4
* TWEAK: Fixes absence of checkbox to remove all transients
* TWEAK: Premium - Support and feedback links in Help tab now point to getwpo.com

= 4.1.1 - 05/Mar/2025 =

* FIX: Page builders not working with Delay JS option enabled

= 4.1.0 - 03/Mar/2025 =

* FEATURE: Premium - Improve performance by caching Gravatar images locally.
* FIX: Premium - Unused images - Fixed warnings when moving non existing image to trash

= 4.0.1 - 17/Feb/2025 =

* FIX: File system usage issue

= 4.0.0 - 10/Feb/2025 =

* FEATURE: Delay JavaScript execution 
* FIX: Cache - Fixed PHP warning "Cannot modify header information"
* FIX: Minify - Unusual behavior occurs when the "Disable Google Fonts processing" option is enabled
* FIX: Smush - Fixed image compression actions in Media Library
* REFACTOR: Replacing jQuery Tablesorter with 'sortable-tablesort' package
* TWEAK: Cache - Enhance ActivityPub compatibility
* TWEAK: Fix PHP notice caused by subscriben plugin advert
* TWEAK: Minimum requirements were updated to PHP version 7.2 and WordPress version 4.9 
* TWEAK: Remove uses of `unserialize` without restriction of allowed_classes
* TWEAK: Recognise Independent Analytics Pro plugin tables in database optimization

= 3.8.0 - 09/Dec/2024 =

* FEATURE: Added a system status page
* FEATURE: Logs frequent and highly recurrent 404 requests; introduces a new Performance tab.
* FIX: Cache - Legacy Widgets visibility issue with WP-Optimize Cache enabled
* FIX: Cache - UI issue: Preload "Cancel" option is gone after reloading the WPO settings page instantly
* FIX: Database - optimizing any item also changes the status of other items
* REFACTOR: Minify - Removal of the WPO_MINIFY_PHP_VERSION_MET constant
* TWEAK: Add a warning message before deleting post metadata or orphaned relationship data.
* TWEAK: Bailout early if the minimum PHP version is not met
* TWEAK: Introduced logging for cache purge operations, available under `uploads/wpo/logs/cache-*.log`
* TWEAK: Open CRON overdue guide in new tab
* TWEAK: Persist Analytics Tab when minification is disabled
* TWEAK: Premium - Unused Images - Improved detection of images not present in the Media Library, marking them as used
* TWEAK: UI improvements in Analytics section
* TWEAK: Wrapped checkboxes inside `label` tags in the confirmation popup that appears when clicking the "Remove" button on the Database > Tables tab.

= 3.7.1 - 20/Nov/2024 =

* TWEAK: Resolved a PHP notice caused by translation loading too early when caching is enabled, introduced in WordPress 6.7

= 3.7.0 - 21/Oct/2024 =

* FEATURE: Added an option to automatically preload URLs immediately after cache content is purged
* FEATURE: Premium - Gather data about table usage by filtering `query` event
* FIX: Cache - Scheduled preloading wasn't working
* FIX: Inconsistency in `smush_manager_send_command` function
* REFACTOR: Smush - Popup styles, remove unused code 
* TWEAK: Fix fatal implode error when updating to v3.5.0
* TWEAK: Image compression - Issue with cancelling smush image compression
* TWEAK: Improve module minification logic
* TWEAK: Premium - Unused images - Fixed popup when moving images to or restoring images from the trash
* TWEAK: Premium - Unused images - Placeholder images in unused images section
* TWEAK: Added `security.md` file with information to report security issues

= 3.6.0 - 12/Sep/2024 =

* FEATURE: Premium - Auto-detect images lacking dimension attributes and add them to improve CLS
* FIX: Fixed the issue that disabled WebP conversion due to checking all shell commands for WebP compression
* FIX: Premium - Unused Images - The unused image size deletion functionality does not work when images are not in the /yyyy/mm/ folder
* REFACTOR: Removed unnecessary static methods in WebP class
* TWEAK: Image compression - Rolled back to using popup error notices as in versions prior to 3.4.0
* TWEAK: Added a more descriptive error with resolution proposals for failed gzip compression and browser cache tests
* TWEAK: Fix broken unused image list thumbnails and download as csv link in Multisite
* TWEAK: Fix the singleton pattern in Heartbeat class
* TWEAK: Image compression functionality added to the Media Library page
* TWEAK: Premium - Cache - Added support for Aelia Currency Switcher plugin
* TWEAK: Premium - Unused images - improve clarity in UI for images in post revisions
* TWEAK: Added additional checks to the `implode()` function to mitigate the risk of fatal errors on certain instances

= 3.5.0 - 14/Aug/2024 =

* FEATURE: Premium - Host Google and minimal analytics scripts locally
* FIX: Premium - Cache - Single page cache purge/preload feature isn't working 
* TWEAK: Add logging for the WebP feature
* TWEAK: Allow minification of script modules
* TWEAK: Cache - Purge the cache when the site is migrated 
* TWEAK: Improvements to asset minification cache logic
* TWEAK: Improvements to reSmushIt curl error message
* TWEAK: Minify - Added an option to disable Google Fonts processing when it causes conflicts with other plugins
* TWEAK: Move all WPO files from the `uploads` folder to `uploads/wpo`
* TWEAK: Style improvement of the loading modals

= 3.4.2 - 03/Jul/2024 =

* FIX: Removes unnecessary heartbeat calls for retrieving information about images

= 3.4.1 - 26/Jun/2024 =

* FIX: Issue with bulk editing on the posts and pages edit screen

= 3.4.0 - 25/Jun/2024 =

* FEATURE: Premium - Smush - Bulk compress / restore from media library
* FIX: Deactivate the form for minifying JS/CSS settings when the corresponding option is disabled
* REFACTOR: The functionality for the 'Unused Images' feature in ACF has been moved to a separate class
* TWEAK: Add UpdraftCentral commands for the latest WP-Optimize features
* TWEAK: Adjusted the scheduled preload time for improved performance
* TWEAK: Auto-update advanced-cache.php settings during site migration
* TWEAK: Cache - Human-readable file names for the cache directory
* TWEAK: Caching related cron jobs are activated even though cache is disabled
* TWEAK: Image compression - Updated message for restoring images action
* TWEAK: Implement Heartbeat API for image compression progress updates
* TWEAK: Improving vendor autoload
* TWEAK: Introduces a hook (`wpo_force_webp_serve_using_altered_html`) for changing WebP serving method
* TWEAK: Minify - Exclude .min files from minification
* TWEAK: Minify - Improve list of processed files UI
* TWEAK: Optimization of the get_uncompressed_image query
* TWEAK: Persist script loading strategy when minifying JS files
* TWEAK: Premium - Compatibility with Curcy WooCommerce multi currency plugin
* TWEAK: Premium - Unused Images - Added an option to delete original images when scaled versions exist

= 3.3.2 - 16/Apr/2024 =

* FIX: Ensure the admin bar is not cached when caching is enabled for both logged-in and guest users
* REFACTOR: Remove unused code
* TWEAK: Cache - Prevent sitemaps being cached
* TWEAK: Display a notice when static browser cache is enabled but not working
* TWEAK: Premium - Added "Lost your password?" link on plugin's page
* TWEAK: Premium - Unused images - Detect Elementor's 'Video' widget's image
* TWEAK: Recognise Rank Math plugin tables as used in database optimization
* TWEAK: Reduce .htaccess file write operations when WebP is enabled
* TWEAK: Seasonal notice content update for 2024 
* TWEAK: Unused Images - Unused tab displays multiple images for compressed images with WebP Conversion
* TWEAK: Prevent multiple AJAX requests being generated by repeated clicks on the "Purge Cache" button
* TWEAK: Call the `litespeed_finish_request()` function when attempting to close browser connection on LiteSpeed servers

= 3.3.1 - 06/Mar/2024 =

* FIX: Cache - Compatibility issue with Jetpack's infinity scroll feature
* FIX: Cache - Don't cache activity stream (ActivityPub plugin compatibility)
* FIX: Cache - Page not cached comment is added to `robots.txt`
* TWEAK: Fix PHP warnings when server variables are not available
* TWEAK: Fix Unexpected response alert and PHP warning when cache preloading is triggered manually
* TWEAK: Migrate from setInterval to WP heartbeat API to refresh information about backend tasks
* TWEAK: Optimization of the WebP Implementation
* TWEAK: Update dashboard notice to include all of our plugins
* TWEAK: Update the footer review prompt

= 3.3.0 - 31/Jan/2024 =

* FEATURE: Premium - Ability to preload and purge caches from individual post/page
* FIX: Premium - Unused Images - Recognise Elementor's Container, and Section widget background images
* FIX: Avoid having repeated minified scripts in the same bundle, it breaks the code in some specific cases
* FIX: Cache - TranslatePress compatibility - Post updates purges cache for all related translated languages
* FIX: Only try to parse canonical URLs if there is a path or querystring, needed for WPML with multi-domain compatibility
* TWEAK: Add cron de-scheduling of all wpo_* events during plugin uninstall
* TWEAK: Cache - Always add source code comment about page not being cached, but only add details when WP_DEBUG is ON
* TWEAK: Cache - Fix issue with excluding encoded (non-latin) URLs
* TWEAK: Do not attempt to close browser connection when the context is not an AJAX action
* TWEAK: Minify - Logging more information about why minify static assets cache gets invalidated and regenerated
* TWEAK: Revert to the original `matthiasmullie/minify` repository after confirming resolution of previous issues
* TWEAK: Setup Cron job to clear failed smush tasks from DB
* TWEAK: Using clear text user agent strings instead of regular expressions to identify web browsers for improved clarity
* TWEAK: Updater library in the Premium version updated to the current release series

= 3.2.22 - 23/Nov/2023 =

* TWEAK: Cache - Show a notice in the admin if the config file is missing and caching is enabled
* TWEAK: Added support for new emoji styles related hooks introduced in WordPress 6.4
* TWEAK: Database - Fix "Optimize database tables" stuck loading state
* TWEAK: Premium - Cache - Style improvement for the select2 box from advanced cache settings
* TWEAK: Premium - Images - Fix issues with avif images in the unused images feature
* REFACTOR: Wrapping most of the external links in the WPO settings pages with the appropriate function
* REFACTOR: Remove unused code

= 3.2.21 - 18/Oct/2023 =
* FIX: Prevent PHP fatal error when updating from older versions of WP-Optimize

= 3.2.20 - 16/Oct/2023 =

* FIX: WebP - Performance issue because of possible infinite loop
* FIX: Cache purging occurred prior to the cache lifespan expiration
* FIX: Premium - Smush - Do not consider images in trashed posts as unused
* TWEAK - Remove extra slash from plugin asset urls and paths
* TWEAK: Image - Add a tooltip next to the restore button on the edit media screen
* TWEAK: Premium - Prevent PHP deprecated warning when generating variations from attributes for new WooCommerce variable products
* TWEAK: Premium - Purge cache when the `Variation Swatches for WooCommerce` plugin settings get updated
* TWEAK: Premium - Settings - Style improvement for the `Purge cache permissions` select2 box
* TWEAK: Recognise LearnDash plugin tables in database optimization
* TWEAK: Remove empty `uploads/.htaccess` file and remaining cron events
* TWEAK: Smush - Disable server info in smush logs by default
* TWEAK: Smush - Resolve double log entries when compressing a single image from the media library metabox
* TWEAK: Prevent unwanted PHP notice upon update

= 3.2.19 - 15/Sep/2023 =

* FIX: Cache - Relevant caches are now purged upon updating homepage display settings and posts per page settings
* FIX: Minify - Multiline content inside textareas break after exporting and importing settings
* FIX: Smush - Images are not compressed with default (image quality = 100) settings
* FIX: Premium - Cache - Caching stops working when WordPress salt keys contain backslash (\) character
* FIX: Premium - User per role cache not working when tables do not have `wp` prefix
* FIX: Premium - When lazy loading is enabled, the picture tag in initial viewport is not visible
* TWEAK: Fixed date format and timezone in the cache last modification comment according to the site configuration
* TWEAK: Fixed spelling errors in the repository 
* TWEAK: Minify - The process of purging cache for 3rd party caching solutions now works properly when multiple other solutions are present
* TWEAK: Premium - Lazy load - Added Jetpack, Optimole, Rocket Lazy Load, and Smush (WPMU Dev) plugins to the incompatibility notice
* TWEAK: Prevent PHP warning upon installing themes from the WordPress repository
* TWEAK: Update the composer package yahnis-elsts/plugin-update-checker for PHP 8.2 compatibility

= 3.2.18 - 11/Aug/2023 =

* FIX: A bug in the v3.2.17 release that caused certain database optimization buttons to be disabled has been fixed
* TWEAK: Reset WebP serving method upon updating to version 3.2.18

= 3.2.17 - 08/Aug/2023 =

* FIX: Automatically compress newly-added images feature now works on multisite in case of attachment ID is the same in both sites
* FIX: Minify - No separate try-catch blocks for same handle
* FIX: Premium - Unused Images - Recognise Elementor Carousel, Slides, Flip Box, and Site logo widget images
* FIX: Premium - Prevent memory exhausted PHP fatal error when using unused images feature with Elementor
* TWEAK: External links will open in new tab/window
* TWEAK: Remove `htaccess-capability-tester` dependency
* TWEAK: Remove residue folders in `uploads/wpo`

= 3.2.16 - 06/Jul/2023 =

* FIX: HTML minify should not remove `title` tag added by AIOSEO
* FIX: Premium - Fetching unused images data is incorrect when previous task queue is not properly unlocked
* FIX: Premium - Unused Images - Recognise Elementor background images
* TWEAK: Premium - Prevent conflicts between the minify feature and the `YITH Point of Sale for WooCommerce` plugin
* TWEAK: Premium - Compatibility issue with Smart Slider 3
* TWEAK: Suppress PHP warnings caused by WebP converter
* TWEAK: Database optimization - Prevent duplicate AJAX requests, minor code improvements
* TWEAK: Smush - Add a cron job to run pending image compressions, ensuring completion of the process even if bulk image compression encounters interruptions or failures
* TWEAK: Clean up files on uninstall
* TWEAK: Added compatibility for `Custom Permalinks` plugin
* TWEAK: If minifying is enabled, then check that the purge cron event exists (not only upon plugin activation)
* REFACTOR: Premium - Unused Images - Separate classes for Beaver Builder, Estatik, and Yoast SEO plugins
* FIX: Premium - WP CLI commands permission issues solved

= 3.2.15 - 09/May/2023 =

* FEATURE: Premium - Cache - Added compatibility with the "WooCommerce Multilingual & Multicurrency" plugin's multi-currency feature
* FIX: Premium - Above the folder elements should not be loaded lazily
* FIX: Prevents minify cache invalidation when asset version is changed but content is same
* FIX: Prevent PHP 8 uncaught exception `TypeError` when using CloudFlare
* FIX: Add logging destination UI
* FIX: Premium - Cache - Prevents a PHP fatal error that occurs when user cache is enabled on sites running on MariaDB with a version prefix of '5.5.5-' and PHP versions prior to 8.0
* FIX: Serving WebP images only to supported browsers wasn't working properly when page caching is enabled
* FIX: Minify - `inherit` Google fonts method is not working
* TWEAK: Prevent PHP deprecation notice when purging minify cache
* TWEAK: Cache - Prevent PHP warning when deleting cache
* TWEAK: Suppress PHP notice when cannot write to .htaccess file
* TWEAK: Add user capability check for smush task manager ajax handling method
* TWEAK: Minify - Do not send cache control and last modified headers if already present
* TWEAK: Smush - clean up log entries
* TWEAK: Correctly handle XX and T1 country codes in Cloudflare's IP country header
* REFACTOR: Separate classes for activation, deactivation and uninstall actions

= 3.2.14 - 30/Mar/2023 =

* FIX: Compatibility with WordPress 6.2 when using PHP 8.x
* FIX: Divi builder's edit mode when WebP serving is using the "alter HTML" method
* FIX: Premium - Unused images feature - improve compatibility with Beaver Builder and its addons
* FIX: Cache - Page caching wasn't working on the IIS webserver
* TWEAK: Update seasonal notices
* TWEAK: Prevent deprecation notices in PHP 8.2+

= 3.2.13 - 13/Mar/2023 =

* FEATURE: WebP - Ability to convert to webp format from media library
* FIX: Prevent PHP warning when minify-log files are missing or corrupted, also added appropriate error message
* FIX: Delete webp files and uncompressed file when media is deleted
* FIX: Polylang compatibility - now upon updating any post, caches for all translated languages are cleared
* FIX: Prevent adding unsupported media types to the smush task list
* FIX: WebP - Unsupported formats throws a fatal error
* FIX: Compress image UI for webp images
* FIX: Premium - WebP Images are marked as unused images
* FIX: Resolved an issue where Beaver Builder's edit mode was not functioning properly when WebP conversion was enabled
* FIX: Prevent creating multiple cache directories for URLs that contain non-English characters
* TWEAK: Preload allowed time difference is set to be the same as max execution time
* TWEAK: Premium - Unused images feature - Add compatibility with Yoast SEO social images
* TWEAK: Prevent jQuery deprecation notices
* SECURITY: Fixed a non-persistent XSS vulnerability that could occur on certain servers when the WebP conversion option was enabled. This vulnerability could allow an attacker to execute arbitrary JavaScript code in the victim's browser by tricking them into clicking on a specially crafted link. Thanks to Paolo Elia for reporting this.

= 3.2.12 - 06/Feb/2023 =

* SECURITY: Today's 3.2.11 release (free version only - there was no 3.2.11 Premium release) checked nonces incorrectly, opening up the possibility of an attacker tricking an admin into clicking links crafted to perform unauthorised actions on the WP Optimize configuration on his site.

= 3.2.11 - 06/Feb/2023 =

* FIX: Empty query string updates cache
* FIX: Cache - Purge cache after string translation update in WPML
* FIX: Cache - Preload stuck and fails to complete
* FIX: Prevent PHP warning when `.htaccess` files don't have write permission
* FIX: Premium – Fixed compatibility issue with WP Hide plugin
* FIX: Minify - Less than 20KB stylesheets loading order
* TWEAK: Add cron event only if clear backup images is enabled
* TWEAK: Cache - Use WordPress GMT offset for cache comment
* TWEAK: Only allow image types that can be compressed
* TWEAK: Cached page is not served for sites that have own directory for WordPress files

= 3.2.10 - 28/Nov/2022 =

* FIX: Prevent php warning and increase SendInBlue `mailin` plugin compatibility
* FIX: Avoid screen juggling while selecting optimizations from dropdown in scheduled clean up
* FIX: Prevent cache purge upon deactivation using filter
* FIX: Cache purge ability of all registered user
* FIX: Recognise WooCommerce product category images as used images
* FIX: Multisite support in `cached-file-log.php` template
* TWEAK: Improve Optimization Schedule UI
* TWEAK: Consolidated error notices by the use of a global WPO notice object.
* TWEAK: Remove `Reset WebP serving method` button when there are no webp conversion tools
* TWEAK: Remove query strings from scripts
* TWEAK: Add `Restrict Content Pro` plugin slug to `plugin.json`
* TWEAK: Add option to remove orphaned `user meta` data upon run optimization
* TWEAK: Add `no-cache` headers when minify is enabled and page caching is not
* TWEAK: Ability to remove `.htaccess` rules when gzip compression is not available
* TWEAK: WebP: Avoid PHP warnings when using hot linked images (Alter HTML method)
* TWEAK: WebP conversion is unavailable when php shell functions do not exist
* TWEAK: Improved UI settings for asynchronous loading and page speed testing exclusion tools
* TWEAK: Add a constant to enable/disable webp feature
* TWEAK: Set a global context for $wp_file_descriptions context so that it gets assigned to correctly, preventing a subtle visual change in the theme editor
* TWEAK: Prevent php warning from `webp-convert` library
* TWEAK: Update currently-active installs number in thank you for installing notice.
* TWEAK: Replaced deprecated use of jQuery.change()

= 3.2.9 - 06/Sep/2022 =

* FEATURE: Import and export settings
* FIX: Avoid infinite loop while using unused images export csv
* FIX: Scheduled cache preloading issue
* FIX: WebP testing making unnecessary background HTTP checks
* FIX: Google fonts compatibility with The7 theme
* FIX: Prevent console error for undefined `wp_optimize` for smush scripts
* TWEAK: Avoid PHP warnings on cache cleanup
* FIX: Ability to disable webp serving while caching is on
* TWEAK: Reset webp conversion method flags daily using cron job
* TWEAK: Remove orphaned `wpo_weekly_cron_tasks` cron job upon uninstallation

= 3.2.8 - 23/Aug/2022 =

* FIX: Build system error led to a missing file in 3.2.7 which could cause an error when using related functions
* FIX: Fix incorrect function name in admin class

= 3.2.7 - 15/Aug/2022 =

* FEATURE: A CLI command for generating lists of unused images as a CSV file (Premium)
* FIX: The unused images CSV downloads have a few redundant images listed
* FIX: ACF block field images are listed as unused images
* FIX: Correctly recognize `inherit` in google fonts async loading
* FIX: Cache - Do not purge when `wp_update_nav_menu` is removed from `wpo_purge_cache_hooks` array
* TWEAK: Prevent PHP warnings when using `json_decode` result
* TWEAK: Create cache config file if not present because of site migration
* TWEAK: Update notice class
* TWEAK: Recognize WooCommerce scheduled sales and cache accordingly
* TWEAK: Prevent duplicate `wp-optimize` entry in tables optimization list
* TWEAK: Test htaccess capability only when needed by webp feature
* TWEAK: Increase compatibility with Aelia plugins

= 3.2.6 - 15/Jun/2022 =

* FIX: Incorrect static method calling causes parse Error in PHP 5.6.36
* FIX: WebP - Trailing slash file creation issue in PHP 8 
* FIX: PHP warning in cache rules file
* FIX: Asynchronous google fonts loaded twice
* TWEAK: Conditional Tags anchor tag fix

= 3.2.5 - 03/Jun/2022 =

* FIX: Fix a fatal error that could occur in 3.2.4 if settings had not been saved

= 3.2.4 - 24/May/2022 =

* FEATURE: Create a cron job to delete expired cache files
* FEATURE: WebP image format can be used to serve images
* FIX: Incorrect record count after importing
* FIX: Image smushing issues
* FIX: Problem with Redirect – Trailing Slash on URLs
* FIX: Unused images issue with ACF `repeater` and nested fields
* TWEAK: Added functionality for exclude caching based on conditional tags
* TWEAK: Update last optimized time for scheduled optimizations
* TWEAK: Cache - Prevent already header sent warnings while importing posts
* TWEAK: Improved UI for `actionscheduler_` tables
* TWEAK: Add filter to allow/disallow `gz` file generation
* TWEAK: Show error message to user when WP_CACHE constant can't be removed from wp-config.php due to file permission issue.

= 3.2.3 - 09/Mar/2022 =

* FEATURE: Minify: Pre-generate assets
* FIX: Cache - 'Purge cache permissions' setting does not allow additional roles to access the purge cache tool
* TWEAK: Make smush details button work in media modal window
* TWEAK: Do not show overhead in red when the amount is small
* TWEAK: Avoid PHP Notices caused by "upgrader_process_complete" action
* TWEAK: Force monolog 2.3.* in order to avoid PHP 7.2+ dependency

= 3.2.2 - 24/Jan/2022 =

* FEATURE: Cache - Allow debugging of which cache file is chosen
* FEATURE: Premium - Cache - Serve cached content for logged in users, per role
* FIX: Premium - Unused Images - Fixed trashed images listing
* FIX: Image selection issue in compressed and unused image is fixed.
* FIX: ACF plugin compatibility issue with select2 JS library
* FIX: Premium - Unused Images - Multibyte characters in filename are not recognised correctly
* FIX: Table optimization displays wrong information about WP All Import plugin tables
* FIX: Potential PHP fatal error - Call to undefined function _wp_get_current_user()
* FIX: Minify - correctly minify multiple `calc` function in single property value
* FIX: SQL error when keeping post revisions and optimizing
* FIX: Cache - Prevent caching WordPress critical error page
* FIX: Minify - Google fonts merging issue when the same font is enqueued in both API V1 and V2
* FIX: Minify - Make `inherit` and `inline` settings work with Google fonts
* FIX: Database error upon plugin activation
* TWEAK: Minify - Show a notice if other minification plugins are installed and active
* TWEAK: Remove unused bundled JavaScript from minify library to avoid irrelevant scan results
* TWEAK: Image compression - Image compression stats include gains on image sizes
* TWEAK: Make sure that messages from WP_Error objects in gzip compression are displayed to users.
* TWEAK: Prevent PHP notice from WooCommerce deprecation
* TWEAK: Create `task` tables upon activation, if needed.
* TWEAK: Show error instead of success when table doesn't exist
* TWEAK: Update seasonal notices
* TWEAK: Prevent PHP fatal error in media list view, when images are makred as compressed
* TWEAK: Image edit window - Link does not go to image settings and more/less link not working

= 3.2.1 - 29/Nov/2021 =

* FIX: Apply different image compression levels
* FIX: Cache - Purge WooCommerce product page after stock update
* FIX: Database errors after adding a new site
* FIX: Flatsome theme compatibility with google fonts
* FIX: Image compression advanced settings, display default backup days instead of empty value.
* FIX: Image compression was not working when the image extension used capital letters
* FIX: Premium - Cache - Potential PHP error in User-specific cache
* FIX: Premium - resolve potential admin-area PHP error if the deprecated mailchimp sync plugin and MC4WP plugin are both active (and potentially other situations where a plugin deactivates another)
* FIX: Premium - Unused images - compatibility with PHP 8
* FIX: Premium - Unused images - issue with parenthesis in name
* FIX: Premium - Unused images - Pagination count doesn't update
* FIX: Prevent a PHP notice when using with UpdraftCentral
* FIX: Save prioritize maximum compression setting correctly
* FIX: Wrong redirect when wiping settings on multisite
* TWEAK: Premium - add review link at bottom of settings
* TWEAK: Force monolog/monolog and psr/log versions to retain PHP 5.X compatibility/satisfy wordpress.org SVN hooks
* TWEAK: Add compatibility with Kinsta
* TWEAK: Added functionality for to convert MyISAM to InnoDB
* TWEAK: Add filters for minify input string
* TWEAK: Cache - Added filter to modify cache exception urls
* TWEAK: Cache - Optimize preload from sitemap
* TWEAK: Cache - Serve different versions based on cookie consent
* TWEAK: changed filter to prevent deprecation notice in php 8.1+
* TWEAK: Decide automatically whether to inline css or not based on file size
* TWEAK: Fix typo in text domain name
* TWEAK: get_hurl function minified.
* TWEAK: Improve clarity of debug message when DONOTCACHEPAGE constant is used
* TWEAK: Improve DB UI/UX on multisite
* TWEAK: Improve minify cache size messages
* TWEAK: Making Estatik plugin compatible
* TWEAK: Minify - Add JS translations support
* TWEAK: Minify HTML only on cache pre-loading
* TWEAK: Port from previous semaphore classes to Updraft_Semaphore_3_0
* TWEAK: Premium - Unused images - Show that there are images in the trash without having to re-scan everything
* TWEAK: Prevent a PHP notice when downloading image compression log file. Fix backup modal styling issue.
* TWEAK: Prevent fatal error in gzip settings when stylesheet could not be fetched
* TWEAK: Short-circuit trivial case of nothing in the buffer when page-caching, to involve any possible other issues
* TWEAK: Update comments count after trackbacks and pingbacks deletion
* TWEAK: Update minified asset when the enqueued scripts and styles version change
* TWEAK: Use proper constant of includes path in user cache extension
* TWEAK: Fix path to `wpo-plugins-tables-list.json` in robots.txt

= 3.1.12 - 12/Jul/2021 =

* FEATURE: Ability to defer js files and asynchronously load css files
* FEATURE: Option to not aggregate inline styles and scripts
* FIX: Always purge this cache HTML issue
* FIX: Cache - Enable cache for subfolders and multisite installation with the permalink structure example.com/index.php/a-post-name
* FIX: PHP 8 Issue: Minify and Merge Error
* FIX: Silent failure of page caching if plugin location not found
* TWEAK: Added Update URI header field to avoid accidentally being overwritten with an update of a plugin of a similar name from the WordPress.org Plugin Directory.
* TWEAK: Delay displaying notices for 2 weeks
* TWEAK: Improve label of when saving a media type in always purge this
* TWEAK: Improve query for EWWW IO history
* TWEAK: Prevent a PHP notice if using WP-Optimize and MetaSlider on the same site.
* TWEAK: Prevent PHP warnings from theme update and google font minify
* TWEAK: Skip HTML minification if the total size is > 1MB (takes too long to be worthwhile)
* TWEAK: Updating custom compression slider values

= 3.1.11 - 08/Jun/2021 =

* FIX: Cache - Don't cache pages for logged-in users when 'Serve cached pages to logged in users' option (new in 3.1.10) is enabled

= 3.1.10 - 26/May/2021 =

* FEATURE: Premium - Cache - User-specific cache. Useful for subscription websites, and websites where tailored content is offered to logged-in users.
* FEATURE: Page cache now also caches RSS feeds
* FEATURE: Ability to exclude files from minify process
* TWEAK: Prevent PHP warning when deactivating Minify and the cache folder does not exist anymore
* TWEAK: Premium - Lazy-load - Possibility to disable Lazy load on specific pages
* TWEAK: Do not enqueue deleted script
* FIX: Minify - Some pattern CSS import statements broke site
* FIX: Minify - Events triggering
* FIX: Google Fonts regression in 3.1.9

= 3.1.9 - 29/Apr/2021 =

* FEATURE: Power Tweak - Change meta_key field length and create new index
* FEATURE: Premium - Automatic Backups using UpdraftPlus during scheduled optimizations
* FEATURE: Keep last X revisions
* FIX: Overlapping header notice in mobile view
* FIX: Cache - Wildcard not working in cache exclusions
* FIX: Prevent error in htaccess when mod_header isn't available
* FIX: PHP Fatal error on deleting plugin
* FIX: PHP 8 Issue: loadAsync JS error
* FIX: RankMath breaks robots.txt
* TWEAK: Bypass minify when editing translations using TranslatePress
* TWEAK: Purge minify cache from front end
* TWEAK: Minify - Prevent cache directory creation while disabled
* TWEAK: Add Google Fonts API version 2 support
* TWEAK: Minify - Save all tab content settings changes with single Click
* TWEAK: Improved optimization preview
* TWEAK: Filter the list of preloaded URLs
* FEATURE: Premium - Cache - Always purge this page
* TWEAK: Update seasonal notices
* TWEAK: Bump WP version requirement to 4.5+

= 3.1.8 - 12/Mar/2021 =

* FIX: Cache - Warning failed to open dir
* FIX: Premium - Unused images - Fixed issue with images including a size suffix similar to WP sizes
* FIX: Display optimization data based on retention period
* FIX: Scheduled cleanup settings - Invalid date selection
* TWEAK: Premium - Separate table optimisations per sub-site
* TWEAK: Premium - Unused images - Add compatibility with the Envira Gallery plugin
* TWEAK: Page caching: add support for Avada
* TWEAK: Add visual clue when image compression was cancelled
* TWEAK: Image compression - multi image selection using Ctrl/Shift keys
* TWEAK: Premium - Unused images - Reset last clicked image reference when `select none` is clicked
* FIX: Premium - Unused images - Pagination not working in the trash
* TWEAK: Prevent bots from indexing plugins list json file
* TWEAK: Minify - Added a setting to change the time stale cache should be kept
* TWEAK: Better support for Beaver Builder
* TWEAK: Prevent PHP warning when reading a file's size
* TWEAK: Cache - Purge the blog page when updating a post
* TWEAK: Cache - Purge next and previous posts on post update
* TWEAK: Cache - Purge sitemap files on post update

= 3.1.7 - 12/Feb/2021 =

* FEATURE: Premium - Preload key requests (Preload fonts and other assets)
* FIX: Detecting Brotli compression issue
* FIX: Cache - PHP Warning in URLs to exclude from caching
* FIX: Premium - Unused images - Unused Images Tool not recognising Greek characters
* FIX: Button for disabling Gzip doesn't showing
* TWEAK: Database optimization - Prevent fatal error due to files missing
* TWEAK: Skip minify when SCRIPT_DEBUG is set to true
* TWEAK: Fixed Font-awesome settings
* TWEAK: Add support for different spellings of "Font-awesome"
* TWEAK: Update the feature comparison table
* TWEAK: Added the option to not show the warning before deleting a table
* TWEAK: Wipe all options upon plugin de-installation
* TWEAK: Premium - Lazy-load - Lazy load support for background images
* TWEAK: Minify - Add file size in the minify cache summary
* TWEAK: Detect conflicting plugins for GZIP issue
* TWEAK: Database optimization - Include all tables if database prefix is not set on WP install
* TWEAK: Premium - Unused images - added "X of X images loaded" for unused trash images
* TWEAK: Don't allow to remove actionscheduler_* tables
* TWEAK: Premium - Unused images - Show a progression screen when doing any action with unused images
* TWEAK: Cache - Enable cache for the old default permalink structure `domain.com/index.php/a-post-name` by creating a folder without the extension
* TWEAK: Show previous action as message on Trackbacks or Comments enable or disable.
* TWEAK: Prevent deprecation notice on PHP 8.0
* TWEAK: Update notices

= 3.1.6 - 17/Dec/2020 =

* FIX: Fix wrong class name

= 3.1.5 - 17/Dec/2020 =

* FEATURE: Introduction of Power tweaks (premium feature)
* FEATURE: Power tweak - replace WooCommerce "Get total spent" query by a faster one
* FIX: CloudFlare not detected on gzip and browser caching tabs
* FIX: Cloudflare caching issue
* FIX: Premium - Unused images - Download CSV warning
* FIX: PHP 8 compatibility issue WP_Optimize_Browser_Cache->prepare_interval()
* TWEAK: Upgrade jQuery code to deal with deprecations with the latest bundled version
* TWEAK: Fix wrong usage of wp_localize_script to prevent warnings in PHP 8
* TWEAK: Premium - Unused images - Update the data when moving images to the trash / deleting instead of doing a hard refresh
* TWEAK: Change how default exclusions are handled
* TWEAK: Now that PHP 8.0 has been released, bump minimum PHP version requirement from PHP 5.4 to 5.6.
* TWEAK: Delete WP-O's .htaccess rules at deactivation
* TWEAK: Premium - Unused images - Separate unused images and unused image sizes processes
* TWEAK: Update jQuery document ready style to the one not deprecated in jQuery 3.0
* TWEAK: Minify CSS - Possibility to toggle the google fonts `display=swap` parameter from the UI.
* TWEAK: Fix small UI issues
* TWEAK: Clean up all cron events when deactivating the plugin
* TWEAK: Premium - Possibility to set permissions for purging page cache and minify files.
* TWEAK: Bypass minify when editing a post using the Brizy editor
* TWEAK: Renamed UpdraftCentral's command classes filter
* TWEAK: Bump WP version requirement to 4.4+, and PHP version requirement to 5.4+
* TWEAK: Purge caches when updating a plugin / theme (also when updating using a ZIP archive)
* TWEAK: Improve the admin bar "cache" menu
* TWEAK: Show information about Cloudflare support
* TWEAK: Database optimization - Resume optimizing when a timeout occurs
* TWEAK: Remove redundant code
* TWEAK: Cache feature - Do not cache pages with fatal errors
* TWEAK: Cache feature - Do not cache RSS feeds
* TWEAK: Page caching - Prevent adding the "comment cookie" when ordering on WooCommerce

= 3.1.4 - 15/Sep/2020 =

* FIX: Prevent fatal error when updating

= 3.1.3 - 15/Sep/2020 =

* TWEAK: Added Oasis Workflow Pro tables to the list
* FIX: Unused images - restore from trash UI issue
* FIX: Premium - Unused images - Images trash works on multisite
* TWEAK: Prevent GLOB_BRACE warning on systems not supporting it
* TWEAK: Minify - Reset minified files when saving an Elementor page or post
* TWEAK: Minify - Purge cached assets when UpdraftCentral was updated.
* TWEAK: Minify - Enable users to defer all JavaScript, including the merged and minified assets
* TWEAK: Minify - Improve general compatibility with The Events Calendar and other plugins
* TWEAK: Image compression - prevent database warning when the table `ewwwio_images` does not exist
* TWEAK: Image compression - Detect already compressed images by other plugins (ShortPixel Image Optimizer, Smush, Imagify, Compress JPEG & PNG images by TinyPNG, EWWW Image Optimizer)
* TWEAK: Image compression - Added compression stats in the Media Library's list view
* TWEAK: Image compression - Possibility to restore all compressed images
* TWEAK: Image compression - Remove NitroSmush service, which is no longer active.
* TWEAK: Image compression - Tweak user agent when requesting to resmush.it
* TWEAK: Preserve selected optimizations when saving settings
* TWEAK: Page caching - Prevent PHP Notice: Trying to get property 'comment_status' of non-object
* TWEAK: Cache - Do not serve from cache when a user has posted a comment
* TWEAK: Cache feature - Added integration with Cloudflare (Premium)
* TWEAK: Page caching - Rename variables in the global context to more specific names
* TWEAK: Premium - Prevent potential JS error in the "unused images" feature
* TWEAK: Premium - Unused images - Add support for Slider Revolution
* TWEAK: Premium - Unused images - use the URL stored in attachment meta-data as fallback
* TWEAK: Premium - Unused images - Only fetch image information when requesting the information to be displayed
* TWEAK: Premium - Lazy-load - Show a notice when a known plugin also provides lazy-loading, instead of disabling the feature
* TWEAK: Minify - Only load the required vendor classes instead of using composer's autoload in order to prevent compatibility issues
* TWEAK: Minify - Added filters `wpo_minify_get_js` and `wpo_minify_get_css` to enable users to do extra processing before saving the code
* TWEAK: Minify - Prevent PHP warning when no log is present
* TWEAK: Minify - Prevent error when the function gzencode doesn't exist
* TWEAK: Removed MetaSlider notice in the notices collection

= 3.1.2 - 03/Jun/2020 =

* TWEAK: Only load minify dependencies when the feature is enabled, reducing the risk of conflicts with plugins with obsolete/incompatible library versions

= 3.1.1 - 03/Jun/2020 =

* FIX: Minify - Make the feature unavailable when W3 Total Cache is active (an ancient version of the library in that plugin is incompatible and can cause a crash if either plugin attempts to perform minification)
* TWEAK: Tweak polling interval for fetching WP-O minify cache information

= 3.1.0 - 02/Jun/2020 =

* FEATURE: Major new feature: JS and CSS combination and minification. Read more at: https://getwpo.com/faqs/category/minification/
* FIX: Image compression - delete backup images in a non-dated folders
* FIX: Premium - Unused images - Only move relevant images to trash
* FIX: Cache feature - Show correct preloading status
* FIX: Fixed optimizations preview on multisite
* FIX: Cache feature - Fixed error handling for cache preload action
* FIX: Call to unavailable function was breaking page caching on old WP versions without add_filter() available early
* TWEAK: Premium - Do not show the loading overlay on the database screen when loading the unused images list
* TWEAK: Periodically update the plugins' tables list (plugin.json)
* TWEAK: Do not use wp_get_upload_dir() on WP versions before it is available
* TWEAK: Prevent JavaScript error when showing a notice after purging the cache
* TWEAK: Cache feature - Better handle errors when enabling or disabling caching
* TWEAK: Cache feature - Use HTTP headers to indicate page caching status
* TWEAK: Premium - Unused images - Added filter `wpo_unused_images_ids`
* TWEAK: Cache feature - Prevent purging the whole cache when saving a WooCommerce product
* TWEAK: Premium - Page cache - "Do not cache this post" setting to only be effective when viewing a single post or page.
* TWEAK: Cache feature - Added the filter wpo_cache_preload_sitemap_filename to enable overriding of the sitemap name used for preloading
* TWEAK: Make all tooltips accessible via keyboard navigation
* TWEAK: scandir() usages changed to opendir()
* TWEAK: Database optimizations - Add Gravityforms to list and tweak UI
* TWEAK: Cache feature - Preload indicates when using a sitemap
* TWEAK: Hide the "remember to save settings" notice after saving.
* TWEAK: Updater in paid version now will make checks on availability without needing login

= 3.0.19 - 31/Mar/2020 =

* FIX: Fix force tables optimisations checkboxes
* FIX: Fix tablesorter issue preventing the optimisations from displaying
* FIX: Premium - Fix Spam and Trashed Comments preview
* TWEAK: Premium - Possibility to exclude a page from cache from the page / post edit

= 3.0.18 - 27/Mar/2020 =

* TWEAK: Wipe WP-Optimize settings function
* FIX: Don't override advanced-cache.php if caching is disabled

= 3.0.17 - 19/Mar/2020 =

* FIX: Show image as uncompressed after restoring backup from the media modal
* FIX: Save the last state for "take a backup" checkboxes
* TWEAK: Load optimizations and database tables list via ajax
* TWEAK: Move database optimization settings to the database page
* TWEAK: Improve error handling for ajax requests
* TWEAK: Cache feature - Add the filter `wpo_cache_show_cached_by_comment` to enable users to hide the HTML comment <!-- Cached by WP-Optimize... -->
* TWEAK: Cache feature - Clear archive page cache when post is updated
* TWEAK: Cache feature - Possibility to exclude front page from the cache
* TWEAK: Cache feature - Deny direct access to cache files folder
* TWEAK: Cache feature - Prevent direct access to cache config content
* TWEAK: Image compression - Prevent confusing errors when restoring an image whose backup file was deleted
* TWEAK: Only show the plugin's own notices on WP-Optimize's pages
* TWEAK: Remove MetaSlider related message
* TWEAK: Premium - Page cache - Possibility to generate a cache file per country with WooCommerce geolocation
* TWEAK: Premium - Reorganise cache extensions to only keep the code required at the cache generation / fetching stage
* TWEAK: Premium - Unused images - add support for non-dated folders
* TWEAK: Premium - Unused images - Added wpo_unused_images_per_page filter for filtering images per page count
* TWEAK: Premium - Unused images - Possibility to move unused images to trash before completely deleting

= 3.0.16 - 27/Jan/2020 =

* FIX: Premium - Unused images - Fixed detection of -rotated and -scaled images
* TWEAK: Cache feature - Cache sitemap.xml and robots.txt
* TWEAK: Cache feature: fix scheduled preload
* TWEAK: Cache feature: save the value of wpo_current_url() to enhance compatibility with Weglot
* TWEAK: Fix permissions for restoring or compressing images on multisite
* TWEAK: Premium - Tweak UI when fetching unused image infos
* TWEAK: Premium - Added compatibility for Oxygen builder
* TWEAK: Premium - Added WP-CLI commands for managing cache

= 3.0.15 - 16/Dec/2019 =

* FIX: Image compression - Fix restoration on multisite
* FIX: Cache feature - Scheduled preload when a sitemap does not exists
* TWEAK: Check for headers_sent() before closing the browser connection
* TWEAK: Cache feature - Do not show clear cache buttons in the admin bar if the user doesn't have the right capability
* TWEAK: Cache feature - Don't cache REST API requests
* TWEAK: Tabs to point to the correct URL for direct access
* TWEAK: Only log the reason why an URL isn't cached if the constant WPO_CACHE_DEBUG is true
* TWEAK: Image compression - Added a new filter 'wpo_image_compression_single_image_options' to allow changing the image quality for each image.
* TWEAK: Cache feature - Added instructions how to edit advanced-cache.php file
* TWEAK: Detecting Cloudflare and Brotli compression before enabling GZIP

= 3.0.14 - 25/Nov/2019 =

* FIX: Fixed default option values for smush backup automatic deletion
* FIX: Prevent potential Fatal error when including notices class
* FIX: Image compression - Fixed division by zero notification
* FIX: Fix list of backup entities before removing unused images
* TWEAK: PHP 7.4 compatibility tweak in the fatal error handler
* TWEAK: Image compression feature - Backup of original image paths are now relative
* TWEAK: Page cache - Fix condition when displaying the message indicating the reason for not caching or serving cache
* TWEAK: Page cache - Do not save post to cache if comments are opened and the user has saved their information
* TWEAK: Page cache - intelligently handle Google Analytics tracking parameters in URL (Premium)
* TWEAK: Page cache - add a query parameter to force display of the reason for not caching a page or serving a cached page
* TWEAK: Cache feature - Added is_writable() checking before trying to write advanced-cache.php
* TWEAK: Premium - Optimize database optimisations for WP-CLI commands
* TWEAK: Premium - Don't run UI requests for WP-CLI actions
* TWEAK: Premium - Page cache - Add default WooCommerce currency to the cache config
* TWEAK: Page cache - Add the possibility to save default values to the cache config
* TWEAK: Page cache - Add a possible secondary cache extensions location using the constant 'WPO_CACHE_CUSTOM_EXT_DIR', to allow keeping the bundled extensions in their original location
* TWEAK: UI tweaks
* TWEAK: Add missing filename reference in error message
* TWEAK: Page cache - Purge cache when Autoptimize's cache is cleared
* TWEAK: Image compression - Compatibility with Elementor plugin
* TWEAK: Image compression - Added feature to mark all images as uncompressed
* TWEAK: Bump supported minimum WP version up to 3.9

= 3.0.13 - 21/Oct/2019 =

* FIX: Don't show VIEWs as corrupted database tables
* TWEAK: Image compression - Cancel button now stops the compression process
* TWEAK: Only show general notice when update notice isn't shown
* TWEAK: Improve message when Gzip compression is already enabled
* TWEAK: Premium - Use path to include lazy load script
* FIX: Image compression - Fixed detecting of uncompressed images
* TWEAK: Image compression - Use wp_remote_get() instead file_get_contents() for retrieving compressed images
* TWEAK: Use wp_remote_get() instead file_get_contents() for retrieving compressed images
* TWEAK: Cache feature - add a 'Purge all' cache button to the admin bar
* TWEAK: Premium - Prevent php warning in scheduled optimisations list
* TWEAK: Premium - Unused images feature - Add compatibility with Advanced Custom Fields (ACF) image and gallery fields

= 3.0.12 - 24/Sep/2019 =

* TWEAK: Cache - Purge cache files when updating menu, saving the customizer and editing widgets
* TWEAK: Cache - Do not show the reason for not caching when the request is DOING_CRON
* TWEAK: Premium - Unused images feature - Improved detection on sites with many posts/images
* TWEAK: Automatically delete smush image backups option
* TWEAK: Premium - Unused images feature - Better detection of featured images
* TWEAK: Cache - Ability to purge single page or post from cache
* TWEAK: Cache - Display the content of advanced-cache.php to the user if it was not writable when enabling cache
* TWEAK: Image compression - Automatically delete image backups option
* TWEAK: Image compression - metabox now inherits the settings from the main screen
* TWEAK: Image compression - Added feature to mark images as already compressed by another tool
* TWEAK: Image compression - Added detailed log information when image compression fails.
* TWEAK: Premium - Unused images feature - Improved detection on sites with many posts/images
* TWEAK: Premium - Unused images feature - Better detection of featured images
* TWEAK: Premium - Lazy load - Added WooCommerce support
* TWEAK: Premium - Increased warning level and visibility when deleting unused database tables and unused images
* TWEAK: Prevent a couple of unwanted PHP notices being logged when running cron via the command-line
* TWEAK: Tweaked update notice wording

= 3.0.11 - 07/Aug/2019 =

* FIX: Check the results of opendir() when emptying the cache, to prevent a possible infinite loop if it fails
* FIX: Compatibility issues with WordPress 4.0
* FIX: Replace function that did not exist on PHP 5.2
* TWEAK: Add work-around for plugins which call the WP action comment_post incorrectly
* TWEAK: Change the algorithm for locating file-based-page-cache.php to handle same-server site moves better
* TWEAK: Prevent an unwanted PHP notice caused by Action Scheduler purges

= 3.0.10 - 30/Jul/2019 =

* TWEAK: If short-circuiting the attachment_fields_to_edit filter result, return the pre-existing value
* TWEAK: Adjust wpo_delete_files() and related functions with extra sanity checks

= 3.0.9 - 30/Jul/2019 =

* FIX: Fix bug in logic for sending "Content-Encoding: gzip" header that could cause it to be sent prematurely with non-cached pages

= 3.0.8 - 30/Jul/2019 =

* FIX: Lazy-loading regression in recent Premium release
* FIX: Smush images selection on multisite
* FIX: Displaying WP-Optimize tabs menu on mobile devices
* TWEAK: Disable redundant lazy-loading feature when Divi theme is active
* TWEAK: Improve accuracy of message shown when it is not possible to automatically enable Gzip compression of static resources
* TWEAK: Only output reasons a page was not cached if the wp_footer action was run

= 3.0.7 - 25/Jul/2019 =

* FIX: Fix some logic bugs related to the decision whether to send gzip-encoded cached content
* FEATURE: To aid debugging if WP_DEBUG is turned on then if a page was *not* cached, then the HTML source will now contain the reason(s) why not in the footer
* TWEAK: The is_user_logged_in() function is not necessarily available during a WP 'technical difficulties' scenario
* TWEAK: Purge site homepage cache after updating post or publishing a new post (can be over-ridden with the filter wpo_delete_cached_homepage_on_post_update)

= 3.0.6 - 25/Jul/2019 =

* FIX: Regression causing incorrect JavaScript filenames in the Premium release in 3.0.5
* TWEAK: Also add cache-busting for the compiled handlebars file
* TWEAK: Change the handlebars enqueue handle to prevent double loading

= 3.0.5 - 23/Jul/2019 =

* FIX: Short-circuit Updraft_Smush_Manager::add_compress_button_to_media_modal() outside of a dashboard context, so that plugins or themes that hook into some dashboard hooks outside of that context can't cause fatal errors
* TWEAK: Added suffixes with WP-Optimize version number to js, css files
* TWEAK: Change the method used to generate the configuration file path in advanced-cache.php; no issues were reported, but analysis indicated a potential way to generate a path that would not agree with what was written by saving settings; and also another way to generate an invalid path on Windows webservers running on non-standard ports.
* TWEAK: Use WPO_CACHE_CONFIG_DIR constant instead string value in advanced-cache.php

= 3.0.4 - 20/Jul/2019 =

* FIX: Fixed a regression in 3.0 with orphaned relationship data optimization

= 3.0.3 - 20/Jul/2019 =

* TWEAK: Prevent saving of page cache settings when the page cache was already off and another page cache plugin was active from over-writing the other plugin's advanced-cache.php

= 3.0.2 - 19/Jul/2019 =

* TWEAK: Rename in order to cache-bust sites that cached old versions of the JS admin scripts
* TWEAK: Prevent unwanted PHP notice if saving page cache settings without ever having turned the cache on

= 3.0.1 - 18/Jul/2019 =

* FIX: Prevent a potential stray line of text appearing

= 3.0.0 - 17/Jul/2019 =

* FEATURE: Adds a caching feature, with page cache, browser cache control and gzip control
* TWEAK: Smush feature added to medial modal
* TWEAK: Remove references to Keyy
* TWEAK: Image compression metabox tweaks
* TWEAK: Preload after purging, If preload schedule is enabled
* TWEAK: Prevent image compression AJAX call from firing upon every tab change
* TWEAK: Load assets in admin_enqueue_scripts()
* TWEAK: Smush all image sizes
* TWEAK: Add quick feedback link
* TWEAK: Delete the original backup file when an attachment file has been deleted
* TWEAK: Remove die() from shutdown handler
* TWEAK: Remove references to Keyy

= 2.3.4 - 10/Jun/2019 =

* FIX: Incorrect file paths on multisites
* FIX: Wrong DB Schema caused image compression to fail on multisites
* TWEAK: Improve image compression UI
* TWEAK: Add the possibility to hide the image optimisation metabox in the media edit screen.
* TWEAK: Fix potential PHP notice in task queue when Automatic Smush is activated
* TWEAK: Improve JSON-reparser to cope with even more exotic junk from some setups with problems elsewhere in their stack
* TWEAK: Remove the numerical index column from the list of tables
* TWEAK: Prevent methods being called when create_task returns false
* TWEAK: Prevent PHP log warnings when images are missing from server (log in WP-O internal log instead)
* TWEAK: Changed the default settings page from 'Settings' to 'Database'
* TWEAK: Better discoverability of Premium features
* TWEAK: Use new task manager class Updraft_Task_Manager_1_1

= 2.3.3 - 17/Apr/2019 =

* FIX: Revert faulty change to the default settings page in 2.3.2, which prevented optimization buttons working

= 2.3.2 - 17/Apr/2019 =

* FIX: Non-ASCII filenames could get mangled in the image optimization preview, resulting in images not shown (and WP 404 generation on the back-end).
* FIX: Optimizing a table now runs correctly after automatic pre-optimize backup
* TWEAK: Changed the default settings page from 'Settings' to 'Database'
* TWEAK: Updated plugin links

= 2.3.1 - 16/Apr/2019 =

* FIX: Fix a code path that could cause a fatal error on PHP 5.2
* TWEAK: Optimizing a table should then refresh the information in the UI shown for it
* TWEAK: Use an image compression logfile path inside the uploads hierarchy, with unpredictable salted element

= 2.3.0 - 12/Apr/2019 =

* FEATURE: Compress images using lossy and lossless compression - both existing images, and newly uploaded
* FIX: Wrong information about corrupted tables
* TWEAK: Prevent PHP notices on calls from UpdraftCentral
* TWEAK: Prevent notices about Premium showing in Premium, correct button text, update coupon
* TWEAK: Prevent the overdue cron checker running twice instead of once

= 2.2.13 - 04/Mar/2019 =

* FIX: Fixed RTL layout
* FIX: Detect more relationships between tables and plugins in orphaned database tables optimization
* FIX: Fixed orphaned relationships optimization
* TWEAK: The informational list of WP core tables missed some possible extra tables on multisite

= 2.2.12 - 07/Feb/2019 =

* TWEAK: Updated information on More plugins tab
* TWEAK: Fix header layout when a system or third party notification are shown
* TWEAK: (Premium) Fix layout in unused images list mode
* TWEAK: Improve data reliability in javascript
* TWEAK: Improve orphaned relationships data optimization
* TWEAK: Wrong message for "remove spam and trashed comments" optimization
* TWEAK: Output additional information if table was not deleted
* FIX: Added escaping for table names in database queries
* FIX: Fix another possible fatal error due to missing get_plugins() function
* FIX: Improve identification of installed/active plugins

= 2.2.11 - 16/Jan/2019 =

* FIX: A regression in the "identify table by owner" feature caused optimizing to silently fail on some tables
* TWEAK: Added ability to exclude lazy load images by class

= 2.2.10 - 11/Jan/2019 =

* FEATURE: Added the ability to download unused images list (Premium version) as a CSV file
* FIX: Load scripts and styles only on WP-Optimize pages
* FIX: Fix a possible fatal error due to missing get_plugins() function
* TWEAK: Remember selected optimizations on Database page
* TWEAK: Prevent PHP notices when saving settings or optimizing in some circumstances

= 2.2.9 - 03/Jan/2019 =

* FIX: Change a newly-introduced fragment that was not compatible with PHP 5.2
* TWEAK: Tweak some other code that had PHP 5.2 compatibility issues

= 2.2.7 - 31/December/2018 =

* RE-FACTOR: Refactoring and reorganisation of the UI
* TWEAK: Added feature to view unused images as list
* TWEAK: Fix sorting sizes columns in Tables information to take into account textual modifiers
* FIX: MetaSlider images detected as unused
* FIX: Preview for Trashed posts optimization doesn't work
* FIX: Unselected optimizations could be run on a scheduled run

= 2.2.6 - 30/October/2018 =

* FEATURE: Added Gzip compression support
* FIX: Unexpected content in the footer after preview popup closed
* TWEAK: Mark as supporting WordPress 5.0
* TWEAK: Update seasonal notices
* TWEAK: Removed redundant checkbox for Lazy Loading settings
* FEATURE: Remove orphaned database tables, and identify (many) known tables by plugin.

= 2.2.5 - 24/August/2018 =

* FEATURE: Preview data before deleting. (Premium)
* FEATURE: Lazy Loading for images, iframes and videos. (Premium)
* FEATURE: Added custom capabilities wpo_prevent_run_optimizations and wpo_prevent_manage_options (Premium)
* FIX: Correct tables order sorting
* FIX: Wrong numbers in total cleaned field
* FIX: Don't show incorrect overhead value if option innodb_file_per_table disabled
* TWEAK: Added option to clean "all" transient options and network-wide transient options for multisite WordPress installation
* TWEAK: Links to UpdraftPlus automatically Install/Activate UpdraftPlus plugin
* TWEAK: FAQ links point to getwpo.com
* TWEAK: Auto-draft, revision posts and pingback comments removing with their metadata
* TWEAK: Scheduler is not using the WordPress timezone settings
* TWEAK: Detecting corrupted tables in background.
* TWEAK: Unused Images optimization correctly detects images in pages built with popular plugins - Page Builder by SiteOrigin, Visual Composer, Beaver Builder, Elementor.
* TWEAK: Paginate unused images
* TWEAK: Added checkbox for select all optimizations
* TWEAK: Prevent deleting homepage images in image optimization
* TWEAK: Override the default multisite site list fetch limit of 100 sites

= 2.2.4 - 07/May/2018 =

* TWEAK: Changed the term 'Automatic' to 'Scheduled'.
* TWEAK: Show correct table type for views
* TWEAK: Fixed string spelling and syntax errors
* TWEAK: Disabled Simple History logging option if plugin is not installed.
* TWEAK: Prevented PHP notices in repair tables functionality

= 2.2.3 - 04/Apr/2018 =

* FEATURE: Added the ability to repair corrupted database tables
* FIX: Fixed dismiss notices functionality
* FIX: When detecting potentially unused images, exclude those found mentioned in the options table(s)
* TWEAK: Load WPO translations (logger classes info included) when template is pulled for UpdraftCentral-WPO module
* TWEAK: Add get_js_translation command for the UpdraftCentral WPO module
* TWEAK: Added logging for fatal errors

= 2.2.2 - 28/Feb/2018 =

* TWEAK: Prevent possible PHP notice when parsing logger options

= 2.2.1 - 28/Feb/2018 =

* FIX: Fix number counting in Table information tab
* FIX: Fix InnoDB optimization UI
* TWEAK: Removed orphaned attachment optimization from optimizations UI list

= 2.2.0 - 19/Feb/2018 =

* FEATURE: Added the ability to export/import WP-Optimize settings
* FEATURE: Extended the logging class to include logging for Simple History Logger, Slack, Email, syslog and a simple 'ring' log
* FEATURE: Added the ability to optimize ARCHIVE and Aria (MariaDB) database tables.
* FEATURE: Added the ability to sort data in the "Table Information" tab
* FEATURE: Added the ability to search tables in "Table Information" tab
* FEATURE: Added the ability to optimize an individual table. (Premium)
* FEATURE: Added the ability to optimize multisites. (Premium)
* FEATURE: Allow the user to create arbitrarily complex automatic optimization schedules (Premium)
* FEATURE: Added ability to use WP CLI interface for run optimizations. (Premium)
* FIX: Auto clean-up settings not optimizing database tables
* FIX: Comments count after related to comments optimization
* FIX: Fix unapproved comments count
* TWEAK: Add functions to pull WP-Optimize templates for UpdraftCentral
* TWEAK: Allow user to tick the "Take a backup with UpdraftPlus before optimizing" option from UpdraftCentral
* TWEAK: Show last automatic optimization time using site's configured timezone and locale
* TWEAK: Extra MySQL and MariaDB checks for optimization, along with an over-ride functionality.
* TWEAK: updated previous optimizations and added optimizations for trash posts, trash comments and orphaned attachments
* TWEAK: Use higher-quality spinner image
* TWEAK: Adjusted notices about other products
* TWEAK: Added message for multisite users with proposal to upgrade to Premium.
* TWEAK: Optimize the check for whether both free and Premium are installed
* TWEAK: Added Premium / Plugin Family tab
* TWEAK: Added seasonal dashboard notices

= 2.1.1 - 28/Feb/2017 =

* FEATURE: Added the ability to take a automatic backup with UpdraftPlus (https://updraftplus.com) before an optimization
* FEATURE: When optimizing from the dashboard, tables are now optimized one by one, to reduce the scope for timeouts
* FIX: Removal of sitemeta items from main site on multisite install was not proceeding
* TWEAK: Adding premium bootstrapping to WP-Optimize for adding premium features in the future
* TWEAK: A few wording tweaks, plus automatically refresh the page if the 'admin bar menu' option is changed
* TWEAK: Introduce internal logging API

= 2.1.0 - 28/Dec/2016 =

* FOCUS: This release concentrates upon the user-interface, and in particular upon improving the clarity of each part, and making optimizations, saves and other actions possible without page reloads.
* FEATURE: Any optimisation can now be run individually with a single button press
* TWEAK: All optimisations run via the dashboard page are now run via AJAX (no page refresh)
* TWEAK: Settings saving now takes place via AJAX (no page refresh)
* TWEAK: Navigation between different tabs now takes place without a page refresh
* TWEAK: The "trackback/comments" actions section now operates via AJAX (no page refresh needed)
* TWEAK: "Refresh" button in the "Status" widget now refreshes via AJAX (no page refresh needed)
* TWEAK: When saving settings or running an optimization, the "Status" widget now automatically refreshes
* TWEAK: Make the admin bar menu into a drop-down, making it quicker to access individual tabs
* TWEAK: Call set_time_limit to reduce the chances of PHP self-terminating via reaching max_execution_time
* TWEAK: Introduce dashboard notice infrastructure
* TWEAK: The lines showing information on how many spam/trashed posts and comments existed were incomplete

= 2.0.1 - 12/Dec/2016 =

* OWNERSHIP: WP-Optimize is now under the leadership of Team UpdraftPlus - https://updraftplus.com. A big thank you to Ruhani (who remains on-board) for his leadership of WP-Optimize until this point! Layout, branding and links have been altered to reflect this change.
* RE-FACTOR: Internal code completely re-factored, laying the foundations for future improvements
* TWEAK: Various filters introduced internally for easier customisation
* TWEAK: Marked form element labels, so that they can be clicked
* TWEAK: Various small UI improvements (more to come in future releases)
* FIX: Previous versions could potentially run OPTIMIZE commands on tables in the same MySQL database (if it was shared) belonging to other sites
* FIX: Previous versions were not deleting most delete-able transients. This is now fixed, with the modification that we now delete all *expired* transients.
* LANGUAGES: Removed language packs and screenshots that are already carried by wordpress.org, reducing the plugin download / install size

= 1.9.1 =
* Ability to clean up Unused Post Meta, Comment Meta and Broken Relationship Data
* Warning prompts for RED marked items and optimize button
* Better transient options cleaning.
* Language files update
* Various other fixes

= 1.9 =
* 27 Weeks retention option equivalent to 6 month
* Compatibility update.
* Language files update
* Removed email notifications, it doesn't work on many servers
* Various other fixes

= 1.8.9.10 =
* Security Patch provided by Dion at WordPress.org and Security report provided by http://planetzuda.com .
* Language files update

= 1.8.9.8 =
* Daily Schedule Option Added
* Email notification on automatic optimization, default email is admin email address. You can change this in settings

= 1.8.9.7 =
* BUGFIX for Settings screen
* Enable/Disable trackbacks / comments buttons removal and use select box instead. Extra button caused the Auto Scheduler to get into reset mode.

= 1.8.9.6 =
* There were few number formatting problem and detection of InnoDB table format. Charles Dee Rice solved the problems that I missed out. Thank you!
* Duplicate msg fixed
* Enable/Disable trackbacks for all published post
* Enable/Disable comments for all published post

= 1.8.9 =
* ONE MILLION+ Downloads. THANK YOU!!
* Language updates platform - see readme file for details.
* Mixed type tables optimization supported and in BETA
* Removal of akismet metadata from comments
* Removal of other stale metadata from comments
* InnoDB tables won't be optimized.
* Main screen user selection will be saved. Red items selection will not be saved
* Scheduled time display will be shown according to WordPress blog local time

= 1.8.6 =
* Language files update
* Fix issues with total gain number problem
* InnoDB tables detected and features disabled automatically, tables view will not show Overhead. Main view will not show space saved, or total gain.

= 1.8.5 =
* Version bump + modified translator names

= 1.8.4 =
* Problem with readme file changes

= 1.8.3 =
* Minor fixes

= 1.8.1 =
* A whole lot more code optimization
* Slick new interface
* Responsive mobile interface, supports running from iPhone/Android/Tablets
* Tables moved to independent tab
* Optimize faster
* GitHub updater support
* I do not monitor WP forums, support email at plugins(at)ruhanirabin.com

= 1.7.4 =
* More Translation compatibility.
* Added MYSQL and PHP versions beside the Optimizer tab.

= 1.7.3 =
* Fixed Problems with wpMail.
* Fixed Problems with wpAdmin menubar.
* Fixed Permission issues on some site.
* Language files update

= 1.7.2 =
* All MySQL statements re-factored into native WP database calls - necessary for future versions of MySQL and WordPress.
* Upgrade to match WordPress 3.9 changes.
* Language files update
* Now postmeta cleanup is disabled from code - it will be updated soon with native WordPress postmeta cleaning options.

= 1.6.2 =
* Language files update

= 1.6.1 =
* Fixed - trashed Comments was not clearing out.
* Language files update

= 1.5.7 =
* Language files update

= 1.5.6 =
* "Unused Tags cleanup" option made a problem on some WordPress sites that it deletes empty categories. Since I am unable to replicate this problem. I am making this option disabled.
* Language files update
* Minor maintenance and fixes.

= 1.5.5 =
* Safe clean up options are selected by default, defaults are not by user preference for now (Optimizer Page).
* All the potentially dangerous clean up options are MARKED RED.
* Language files update
* New features explained - http://j.mp/HBIoVT (read the blog post).

= 1.5.4 =
* More path related fixes for various warnings. Maintenance

= 1.5.2 =
* Fatar error fix, if it disabled your wp admin, please remove the wp-optimize directory and reinstall again.

= 1.5.1 =
* Option to add or remove link on wp admin bar (even enabled - it is visible to admin only).
* New admin interface.
* Settings to select items for automatic optimization.
* Removal of WordPress transient options
* Removal of orphaned post meta tags.
* Removal of unused tags.
* 3 different schedule times added (weekly, bi-weekly and monthly).
* Language files update
* Code optimization and translation strings updated.
* Integrated development log from TRAC

= 1.1.2 =
* removed persistent admin bar menu item
* Language files update

= 1.1.1 =
* Fix Fatal Error.

= 1.1.0 =
* Added WP-Optimize to admin menu bar on top. Always accessible.
* Added wp-optimize.pot file for translators (inside ./languages/ folder).
* Last auto optimization timestamp / display
* Fix possible scheduler bug as requested at support forum
* Fix some other codes regarding SQL query parameters
* Ability to keep last X weeks of data, any junk data before that period will be deleted - this option affects both Auto and Manual process. Appreciate time and help from Mikel King (http://mikelking.com/) about this matter.

= 1.0.1 =
* Removed auto cleanup of trackbacks or pingbacks.. it's better for people to do it manually.

= 0.9.8-beta =
* added beta tag

= 0.9.8 =
* Remove all trackbacks and pingbacks (can significantly reduce db size)
* Remove all Trash Comments and Posts
* Enable/Disable weekly schedules of optimization. This is an EXPERIMENTAL feature. It may or may not work on all servers.

= 0.9.4 =
* Non Initialized variables fixes as of https://wordpress.org/support/topic/plugin-wp-optimize-errors-in-debug-mode?replies=2

= 0.9.3 =
* Removed security tools.
* Full database size displayed

= 0.9.2 =
* Now the plugin is visible to site administrators only. Authors, Contributors, Editors won't be able to see it.

= 0.9.1 =
* Fixed problem with database names containing "-" .
* NEW Main Level Menu Item added for WP-Optimize, You might need to scroll down to see it
* Compatibility with WordPress 3.1
* Language files update
* Added auto draft post removal feature

= 0.8.0 =
* Added Multilanguage capability
* Language files update

= 0.7.1 =
* POST META Table cleanup code removed cause it is making problems with many hosts

= 0.7 =
* Added cleanup of POST META Table along with the revisions
* Fixed some minor PHP tags which causes the total numbers to disappear
* Now requires MySQL 5.1.x and PHP 5.1.x

= 0.6.5.1 =
* Fix Interface
